.TH GBPaker 1

.SH NAME
gbpaker \- a pak update utility for Quake 1, Quake 2 and Quake 3

.SH SYNOPSIS
.B gbpaker
[pak file]

.SH DESCRIPTION
.PP

\fIgbpaker\fP is a utility that allows quake mod authors to simplify pak updates for their users.

\fIgbpaker\fP reads an update pak file and replaces any files in the original pak with the files contained in the update. This allows authors to distribute smaller update files, and avoid cluttering user directories with unpaked directory trees and duplicate files.

.SH OPTIONS
.PP
\fIgbpaker\fP takes a single argument, the name of the pak file to update. 

.SH RESOURCES
.PP
\fIgbpaker\fP expects a file called \fIupdate.pak\fP to reside in the same directory as \fIgpaker\fP. The update file is removed automatically upon completion of the update process.

\fIgbpaker\fP also creates a backup of the original pak file before updating, renaming the original pak file with a .bak extension. This allows recovery in case of error or incomplete update. Previous update backups are ovewritten is they exist.

.SH DIAGNOSTICS
.PP
\fIgbpaker\fP prints out informative error messages informing the user what has gone wrong. Usual errors are failure to spedify a pak file to update, failure to find or read a file, and failure to write to a file.

.SH COPYRIGHT
.PP
\fIgbpaker\fP is Copyright (c)1998 Brad Davis, All Rights Reserved.

Users may redistribute the shareware version without restriction. The shareware version may be identified by the text in the program banner and the 10 file update limit.

The registered version may not be redistributed, copied or transferred.

.SH BUGS
.PP
None known.

Report bugs to jbdavis@uswest.net

.SH AUTHORS
.PP
Brad Davis, with thanks and example code from id Software.
